/**
 * @author: Klaus Dingemann, Münster
 * @version: 10.07.2015
 */
import sas.*;
import java.awt.Color;
public class Aquarium3
{  
  private View view;
  private Picture spielfeld;
  private Fisch2 fisch;
  private Hai hai;
  private Futter futter;
  private int punkte;
  
    public Aquarium3()
    {
       view = new View(800, 400,"Aquarium");
       spielfeld = new Picture(0,40,800,360,"aquarium.jpg");
       futter = new Futter(50);
       fisch = new Fisch2();
       hai = new Hai();
       punkte = 0;
    }

  
    public void spiele(){
        boolean spielBeendet = false;
        while (!view.keyPressed('q') && !spielBeendet && punkte < 50) {
           fisch.bewege(4);
           hai.bewege(2);
           futter.bewege(1);
           if (spielfeld.mousePressed()) {
               int x = spielfeld.getMouseX();
               int y = spielfeld.getMouseY();
               fisch.dreheNach(x, y);
            }
           if (hai.frisst(fisch)) {
               spielBeendet = true;
               Tools.message( "Du hast das Spiel verloren","Meldung");
           }
           int planktonNr = futter.sucheFutter(fisch);
           if (planktonNr > 0) {
               futter.entferne(planktonNr);
               punkte = punkte + 1;
           }
           view.wait(10);
        }
    }
    
    public static void main() {
        Aquarium3 aqu= new Aquarium3();
        aqu.spiele();
    }
}