/**
 * @author: Klaus Dingemann, Münster
 * @version: 10.07.2015
 */
import sas.*;
import java.awt.Color;
public class Aquarium5
{  
  private View view;
  private Picture spielfeld;
  private Fisch2 fisch;
  private Hai hai;
  private Futter futter;
  private int punkte;
  private Text punktAnzeige;
  
    public Aquarium5()
    {
       view = new View(800, 400,"Aquarium");
       punktAnzeige = new Text(5,10,"Punkte: 0",Color.BLUE);
       punktAnzeige.setFontSansSerif(true, 30);
       spielfeld = new Picture(0,40,800,360,"aquarium.jpg");
       futter = new Futter(50);
       fisch = new Fisch2();
       hai = new Hai();
       punkte = 0;
  
    }

    
    public void spiele(){
        boolean spielBeendet = false;
        boolean neuesSpiel = true;
        do {
           while (!view.keyPressed('q') && !spielBeendet && punkte < 50) {
             fisch.bewege(4);
             hai.bewege(2);
             futter.bewege(1);
             if (spielfeld.mousePressed()) {
               int x = spielfeld.getMouseX();
               int y = spielfeld.getMouseY();
               fisch.dreheNach(x, y);
             }
             if (hai.frisst(fisch)) {
               spielBeendet = true;
               Tools.message("Du hast das Spiel verloren","Meldung");
             }
             int planktonNr = futter.sucheFutter(fisch);
             if (planktonNr > -1) {
               futter.entferne(planktonNr);
               punkte = punkte + 1;
               punktAnzeige.setText("Punkte: "+punkte);
               if (punkte == 50) {
                   spielBeendet = true;
                   Tools.message("Herzlichen Glückwunsch, du hast das Spiel gewonnen","Meldung");
               }
             }
             view.wait(10);
          }
          int antwort = Tools.confirmDialog("Noch ein Spiel");
          if (antwort!=0){
              neuesSpiel=false;
          } else {
              futter.reset();
              fisch.reset();
              hai.reset();
              punkte=0;
              punktAnzeige.setText("Punkte: "+punkte);
              spielBeendet = false;
            }
        } while(neuesSpiel);
    }
    
    public static void main() {
        Aquarium5 aqu= new Aquarium5();
        aqu.spiele();
        System.exit(0);
    }
}