/**
 * Aquariumspiel
 * @author: Klaus Dingemann, Münster
 * @version: 07.12.2017
 */
import sas.*;
import java.awt.Color;
public class Fisch1 {
  private Picture fisch;
  
  public Fisch1() {
    fisch = new Picture(200,170,76,60,"fisch.png");
  }

  public void bewege(int pD){
    fisch.move(pD);
    wendeAmRand(pD);
}
 
  public void wendeAmRand(int pD) {
    double richtung = fisch.getDirection();
    if (fisch.getShapeX() < 0  ||  fisch.getShapeX()+fisch.getShapeWidth()>800) {
      fisch.turnTo(360 - richtung);
      fisch.move(2*pD);
    }
    if (fisch.getShapeY() < 40 || fisch.getShapeY() + fisch.getShapeHeight() > 400) {
      fisch.turnTo(180-richtung);
      fisch.move(2*pD);
    } 
  }

  public void dreheNach(double pX, double pY) {
    double alteRichtung = fisch.getDirection();
    double neueRichtung = Tools.getDirection(fisch.getCenterX(), fisch.getCenterY(), pX, pY);
    fisch.turnTo(neueRichtung);
  }

}

