/**
 * @author: Klaus Dingemann, Münster
 * @version: 10.07.2015
 */
import sas.*;
public class Plankton
{
    private Picture plankton;
    
    public Plankton(int pX, int pY, Picture pBild) {
        plankton = pBild.clone();
        plankton.moveTo(pX, pY);
    }

    public void bewege(int pDistanz) {
        plankton.move(-pDistanz);
        if (plankton.getShapeX() < -20) {
            plankton.move(800,0);
        }
    }
    
    
    public void entferne() {
       plankton.setHidden(true);
    }

    public boolean wirdGefressen(Fisch2 pFisch) {
      return pFisch.gibGrafik().contains(plankton);
    }
}
