import sas.*;
import java.awt.Color;
class Schale {

    private Rectangle grafik;
    private int anzahlInhalt;
    private int xPosition;
    private int yPosition;
    private int breite;
    private Circle[] inhalt = new Circle[15];
    
    public Schale(int pXPos, int pYPos, int pBreite, Color pFarbe) {
       grafik = new Rectangle(pXPos, pYPos, pBreite, pBreite, pFarbe);
       anzahlInhalt = 0;
       xPosition = pXPos;
       yPosition = pYPos;
       breite = pBreite;
       for (int i=0; i<15; i++) {
           inhalt[i] = null;
       }
    }

    public void inhaltHinzu(Circle chip) {
      inhalt[anzahlInhalt] = chip;
      anzahlInhalt = anzahlInhalt + 1;
      int zeile = (anzahlInhalt - 1) / 4;
      int spalte = (anzahlInhalt - 1) % 4;
      double differenz = (breite/5 - chip.getShapeWidth())/2;
      double xPos = differenz + spalte * breite / 5; 
      double yPos = differenz + zeile * breite / 5;
      double verschiebung = (breite - 4 * chip.getShapeWidth() - 3* differenz*2)/2;
      chip.moveTo(xPosition + verschiebung + xPos, yPosition + verschiebung + yPos);
    }    
    
    public void inhaltEntfernen(int anzahl) {
        if (anzahl <= anzahlInhalt) {
          for (int i = anzahlInhalt - anzahl; i<anzahlInhalt; i++) {
             inhalt[i].setHidden(true);
             inhalt[i]=null;
          }
          anzahlInhalt = anzahlInhalt - anzahl;
        }
    }
    
    public int gibAnzahlChips() {
        return anzahlInhalt;
    }
        
}