
/**
 * Das Spiel TicTacToe für zwei Spieler.
 * 
 * @author Klaus Dingemann
 * @version 24.02.2018
 */
import sas.*;
import java.awt.Color;
public class TicTacToe

{
    View view;
    Spielfeld spielfeld;
    Text nachricht;
    boolean kreuzIstDran;
    
    public TicTacToe()
    {
        view = new View(450,500,"TicTacToe");
        spielfeld = new Spielfeld();
        nachricht = new Text(10,460, "Spieler 1 setzt");
        kreuzIstDran = true;
    }
      
    public void spielen() {
        int spielende = -1;
        while (spielende==-1) {
           Position klick = spielfeld.gibKlickKachel();
           if (klick.gibXPosition()!=-1) {
               Position pos = new Position(klick.gibXPosition(), klick.gibYPosition());
               if (kreuzIstDran) {
                  spielfeld.setzeKreuz(pos);
                  kreuzIstDran = false;
                  nachricht.setText("Spieler 2 setzt");
               } else {
                   spielfeld.setzeKreis(pos);
                   kreuzIstDran = true;
                   nachricht.setText("Spieler 1 setzt");
               }
            } 
            spielende = spielfeld.spielBeendet();
            view.wait(20);
        }
        switch (spielende) {
          case 0: nachricht.setText("Unentschieden");break;
          case 1: nachricht.setText("Spieler 1 hat gewonnen");break;
          case 2: nachricht.setText("Spieler 2 hat gewonnen");break;
        }
    }
    
    public static void main() {
      TicTacToe ttt = new TicTacToe();
      ttt.spielen();
    }
}
