/**
 * Autor: Klaus Dingemann, Münster
 * Version: 10.07.2015
 */
import sas.*;
import java.awt.Color;
public class Asteroid
{
    Ellipse asteroid;
    Ufo dasUfo;

    public Asteroid(Ufo pUfo)
    {
       asteroid = new Ellipse(-100,-100, 30, Tools.randomNumber(15,30),Color.black);
       asteroid.loadTexture("Krater.jpg");
       zuruecksetzen();
       dasUfo = pUfo;
    }

    public void bewegeDich(){
        asteroid.move(0, 5);  
        asteroid.turn(30);
        if (asteroid.getShapeY()>600) {
            zuruecksetzen();
        }
        if (asteroid.intersects(dasUfo.getUfo())) {
            dasUfo.explodiere();
        }
    }

    private void zuruecksetzen(){
        int x = Tools.randomNumber(0 , 800);
        int y = Tools.randomNumber(- 100, -500);
        asteroid.moveTo(x,y);
    }
}
