/**
 * Autor: Klaus Dingemann, Münster
 * Version: 10.07.2015
 */
import sas.*;
import java.awt.Color;
public class Ufo {
    private Rectangle rumpf;
    private Ellipse cockpit;
    private Polygon fluegel1, fluegel2;
    private Sprite ufo;
    View view;
    
    public Ufo(View pView){
        view = pView;
        cockpit = new Ellipse(380, 410, 60,40, Color.blue);
        rumpf = new Rectangle (370, 430, 80,30, Color.red);
        fluegel1 = new Polygon(370, 430, Color.green);
        fluegel1.add(-30, 15);
        fluegel1.add(0, 30);
        fluegel2 = fluegel1.clone();
        fluegel2.turn(180);
        fluegel2.moveTo(450,430);
        ufo = new Sprite(rumpf);
        ufo.add(cockpit);
        ufo.add(fluegel1);
        ufo.add(fluegel2);       
    }

    public void bewegeLinks(){
        ufo.move(-10,0);     
    }

    public void bewegeRechts(){       
        ufo.move(10,0);       
    } 

    public void explodiere(){
        double winkel = Tools.randomNumber(-45,70);
        rumpf.turnTo(winkel);
        cockpit.turnTo(winkel+25);
        fluegel1.turnTo(winkel+90);
        fluegel2.turnTo(winkel-70);
        for (int i=0; i< 2000; i++){
            rumpf.move(2); 
            cockpit.move(2); 
            fluegel1.move(2);
            fluegel2.move(1);  
            view.wait(10);
        }
    }

    public Sprite getUfo(){
        return ufo;
    }
  
}