/**
 * Autor: Klaus Dingemann, Münster
 * Version: 10.07.2015
 */
import sas.*;
import java.awt.Color;
public class Ufospiel
{
    private View view;
    private Ufo dasUfo;
    private Asteroid asteroid1,asteroid2,asteroid3;
   
    public Ufospiel()
    {
       view = new View(800, 600, "Ufospiel");
       Picture pic = new Picture(0,0,800,600,"sterne.jpg");
       dasUfo = new Ufo(view);
       asteroid1 = new Asteroid(dasUfo);
       asteroid2 = new Asteroid(dasUfo);
       asteroid3 = new Asteroid(dasUfo);
    }


    public void fuehreAus(){
      while(!view.keyPressed('e')) {         
        if (view.keyLeftPressed()) {
          dasUfo.bewegeLinks();
        }
        if (view.keyRightPressed()) {
           dasUfo.bewegeRechts();
        }
        asteroid1.bewegeDich();
        asteroid2.bewegeDich();
        asteroid3.bewegeDich();
        view.wait(20);
      } 
    }
    
    static void main() {
        Ufospiel ufsp = new Ufospiel();
        ufsp.fuehreAus();
    
     }
 }