import sas.*;
public class Landschaft
{
   Hindernis[] hindernisse;
   int naechstesHindernis;
   Sprite hintergrund1;
   Sprite hintergrund2;


    public Landschaft()
    {
       Picture bild1 = new Picture(0,0,"landschaft.png");
       hintergrund1 = new Sprite(bild1);
       Picture bild2 = new Picture(1600,0,"landschaft.png");
       hintergrund2 = new Sprite(bild2);
       hindernisse = new Hindernis[16];
       for (int i = 0; i < 8; i++) {
          hindernisse[i] = new Hindernis(200*i);
          hintergrund1.add(hindernisse[i].gibBild());
       }
       for (int i = 8; i < 16; i++) {
          hindernisse[i] = new Hindernis(200*i);
          hintergrund2.add(hindernisse[i].gibBild());
       }
       naechstesHindernis = 1;
    }

    public void bewegen(int pDistanz) {
      hintergrund1.move(pDistanz,0);
      hintergrund2.move(pDistanz,0);
      if (hintergrund1.getShapeX()==-1600) {
         hintergrund1.move(3200,0); 
      }    
      if (hintergrund2.getShapeX()==-1600) {
         hintergrund2.move(3200,0); 
      }
    }
    
    public boolean kollision(Vogel pVogel) {
      boolean koll = false;
      if (hindernisse[naechstesHindernis].kollision(pVogel)) {
              koll = true;
      }
      return koll;
    }
    
    public boolean hindernisPassiert(Vogel pVogel) {
       boolean pass = hindernisse [naechstesHindernis].durchflogen(pVogel);
       if (pass) {
           naechstesHindernis = (naechstesHindernis + 1) % (16);
       }
       return pass;
    }
    
    public void setzeInAusgangsposition(){
        hintergrund1.moveTo(0,hintergrund1.getShapeY());
        hintergrund2.moveTo(1600,hintergrund2.getShapeY());
        naechstesHindernis = 1;
    }
 }
