
/**
 * Beschreiben Sie hier die Klasse Kachel.
 * 
 * @author (Ihr Name) 
 * @version (eine Versionsnummer oder ein Datum)
 */
import java.awt.Color;
import sas.*;
public class Kachel
{
    // Instanzvariablen - ersetzen Sie das folgende Beispiel mit Ihren Variablen
    private int x;
    private int y;
    private Color farbe;
    private boolean hindernis;
    private Rectangle rechteck;

    /**
     * Konstruktor für Objekte der Klasse Kachel
     */
    public Kachel(int pX, int pY, int pKachelBreite, int pKachelHoehe, Color pFarbe)
    {
        x = pX;
        y = pY;
        farbe = pFarbe;
        hindernis = false;
        rechteck = new Rectangle(pX*pKachelBreite+1, pY*pKachelHoehe+1, pKachelBreite - 2, pKachelHoehe - 2, pFarbe);
    }

    public void setzeFarbe(Color pFarbe) {
        rechteck.setColor(pFarbe);
    }
   
    public void setzteHindernis(Color pHindernisFarbe) {
      hindernis = true;
      rechteck.setColor(pHindernisFarbe);
    }
    
    public void entferneHindernis() {
        hindernis = false;
        rechteck.setColor(farbe);
    }
    
    public boolean istHindernis() {
        return hindernis;
    }
    
    public int gibX() {
        return x;
    }
    
    public int gibY() {
        return y;
    }
}
