
/**
 * Beschreiben Sie hier die Klasse Rasterflaeche.
 * 
 * @author (Ihr Name) 
 * @version (eine Versionsnummer oder ein Datum)
 */
import sas.*;
import java.awt.Color;
public class Rasterflaeche
{
    // Instanzvariablen - ersetzen Sie das folgende Beispiel mit Ihren Variablen
    private int anzahlKachelnX;
    private int anzahlKachelnY;
    private int pixelBreite;
    private int pixelHoehe;
    private int kachelBreite;
    private int kachelHoehe;
    private Rectangle hintergrund;
    private Kachel[][] kacheln;
    /**
     * Konstruktor für Objekte der Klasse Rasterflaeche
     */
    public Rasterflaeche(int pAnzahlKachelnX, int pAnzahlKachelnY, double pPixelBreite, double pPixelHoehe, 
           Color pKachelfarbe)
    {
       anzahlKachelnX = pAnzahlKachelnY;
       anzahlKachelnY = pAnzahlKachelnY;
       kachelBreite = (int)pPixelBreite / pAnzahlKachelnX;
       kachelHoehe = (int)pPixelHoehe / pAnzahlKachelnY;
       pixelBreite = kachelBreite * anzahlKachelnX;
       pixelHoehe = kachelHoehe * anzahlKachelnY;
       hintergrund = new Rectangle(0, 0, pixelBreite, pixelHoehe, new Color(200, 200, 200));
       kacheln = new Kachel[anzahlKachelnX][anzahlKachelnY];
       for (int i = 0; i<anzahlKachelnX ;i++) {
           for (int j = 0; j < anzahlKachelnY; j++) {
               kacheln[i][j] = new Kachel(i,j,kachelBreite,kachelHoehe, pKachelfarbe);
            }
        }
    }
    
    public void schachBrett(Color pFarbe) {
           for (int i = 0; i< anzahlKachelnX ;i++) {
           for (int j = 0; j < anzahlKachelnY; j++) {
               if (i % 2 == 0 && j % 2  == 0 || i % 2 == 1 && j % 2 == 1) {
                   kacheln[i][j].setzeFarbe(pFarbe);
                }
            }
        }
    }
    
    public int kachelXInPixelX(int pX) {
       return pX*kachelBreite+1;
    }
        
    public int kachelYInPixelY(int pY) {
       return pY*kachelHoehe+1;
    }
    
    public int pixelXInKachelX(double pX) {
       return (int)pX / kachelBreite;
    }
        
    public int pixelYInKachelY(double pY) {
       return (int)pY / kachelHoehe;
    }
    
    public void setzeHindernis(int pX, int pY, Color pColor) {
        if (pX>=0 && pX < anzahlKachelnX && pY >= 0 && pY < anzahlKachelnY) {
            kacheln[pX][pY].setzteHindernis(pColor);
        }
    }

    public boolean istHindernis(int pX, int pY) {
        return kacheln[pX][pY].istHindernis();
    }
    
    public boolean istInnen(int pX, int pY) {
        boolean innen =  (pX>=0) && (pX<anzahlKachelnX) && (pY>=0) && (pY<anzahlKachelnY);
        return innen;
    }
    
    public int gibKachelBreite() {
        return kachelBreite;
    }
    
    public int gibKachelHoehe(){
        return kachelHoehe;
    }
    
    public Kachel gibKachel(int pX, int pY) {
        return kacheln[pX][pY];
    }
    
}  
    
