
/**
 * Ein Objekt der KLasse ist der Spieler der Schafsteine.
 * Die Züge werden mit der Maus ausgeführt.
 * 
 * @author Klaus Dingemann 
 * @version 29.01.2018
 */
public class SpielerSchaf {
    Spielfeld spielfeld;
    Spielstein[] schafe;
    
    public SpielerSchaf(Spielfeld pSpielfeld) {
        spielfeld = pSpielfeld;
        schafe = pSpielfeld.gibSchafe();
    }

    public void schafzug() {
        boolean gezogen = false;
        Position altePosition = new Position(0,0);
        Position neuePosition = new Position(0,0);
        int i = 0; 
        while (!gezogen) {   
           altePosition = schafe[i].gibPosition();
           neuePosition = schafe[i].bewegeMitMaus();
           if (!altePosition.istGleich(neuePosition)) {
             gezogen = true;
           } else {
               spielfeld.zieheNach(schafe[i],altePosition);
               i = (i+1) % 4;
             }
        }
        if (!spielfeld.zugZulaessig(schafe[i],neuePosition,true)) {
          gezogen = false;
          spielfeld.zieheNach(schafe[i],altePosition);
        }   
        spielfeld.zieheNach(schafe[i],neuePosition);
    }
}
