/**
 * Ein Objekt der KLasse ist der Spieler des Wolfes.
 * Der Zug wird mit der Maus ausgeführt
 * 
 * @author Klaus Dingemann 
 * @version 29.01.2018
 */
import sas.Tools;
public class SpielerWolf
{
    Spielfeld spielfeld;
    Spielstein wolf;
    Spielstein[] schafe;
    int zugNummer;
    String maxWeg;
    
    /**
     * Konstruktor für Objekte der Klasse SpielerSchaf
     */
    public SpielerWolf(Spielfeld pSpielfeld)
    {
        spielfeld = pSpielfeld;
        wolf = pSpielfeld.gibWolf();
        schafe = pSpielfeld.gibSchafe();
        zugNummer = 0;
    }

    public void wolfzug()
    {
        boolean gezogen = false;
        Position altePosition = new Position(0,0);
        Position neuePosition = new Position(0,0);
        int i = 0; 
        while (!gezogen) {
            while (!gezogen) {   
               altePosition = wolf.gibPosition();
               neuePosition = wolf.bewegeMitMaus();
               if (!altePosition.istGleich(neuePosition)) {
                 gezogen = true;
               } else {
                   spielfeld.zieheNach(wolf,altePosition);
                }
            }
            if (!spielfeld.zugZulaessig(wolf,neuePosition,false)) {
                gezogen = false;
                spielfeld.zieheNach(wolf,altePosition);
            }
   
        }
        spielfeld.zieheNach(wolf,neuePosition);
    }
    
}
