/**
 * Mit dem Programm können zwei Spieler das 
 * Spiel "Wolf und Schafe" auf einem Schachbrett
 * spielen, indem sie die Steine auf dem Spielfeld
 * mit der Maus verschieben
 * 
 * @author Klaus Dingemann
 * @version 29.01.2018
 */
import sas.*;
import java.awt.Color;
public class WolfUndSchafe
{
    private View view;
    private Spielfeld spielfeld;
    private SpielerSchaf spSchaf;
    private SpielerWolf spWolf;
    private boolean wolfAmZug;
    private Text textMeldung;
    
    /**
     * Konstruktor für Objekte der Klasse Spiel
     */
    public WolfUndSchafe()
    {
        view = new View(400, 450, "Wolf und Schafe");
        wolfAmZug = true;
        spielfeld = new Spielfeld();
        spSchaf = new SpielerSchaf(spielfeld);
        spWolf = new SpielerWolf(spielfeld);
        textMeldung = new Text(5, 415, "Wolf ist am Zug");
        textMeldung.setFontSansSerif(false, 16);
    }

    public void spielen() {
        int ende = 0;
        while (ende==0) {
            textMeldung.setText("Wolf ist am Zug");
            spWolf.wolfzug();
            ende = spielfeld.spielBeendet();
            if (ende!=2) {
              textMeldung.setText("Schafe sind am Zug");  
              spSchaf.schafzug();
              ende = spielfeld.spielBeendet(); 
            }
        }
        if (ende==2) {
               textMeldung.setText("Wolf hat gewonnen");
        } else {
            textMeldung.setText("Schafe haben gewonnen");
        }
    } 
} 



