/**
 * Mit diesem Progrmam kann man Mastermind spielen. Der Computer
 * erzeugt den zu ratenden Farbcoe, der Spieler hat 16 Versuch die
 * Kombination zu erraten.
 * @author: Klaus Dingemann
 * @Version: 04.02.2018
 */


import sas.*;
public class Mastermind {
    private Spielfeld spielfeld;
    
    
    public Mastermind()
    {
        spielfeld = new Spielfeld();
    }

    public void spiele() {
        spielfeld.erzeugeCode();
        int zaehler = 0;
        int weiss = 0;
        boolean erraten = false;
        while (zaehler < 12 && !erraten) {
            spielfeld.farbenWaehlen(zaehler);
            int schwarz = spielfeld.gibAnzahlPosUndFarbeRichtig(zaehler);
            if (schwarz == 4) {
                erraten = true;
            }
            weiss = spielfeld.gibAnzahlFarbeRichtig(zaehler);
            spielfeld.zeigeErgebnis(zaehler, schwarz, weiss);
            zaehler = zaehler+1;
        }
        if (erraten) {
            Tools.message("Aufgabe gelöst","Herzlichen Glückwunsch");
        } 
        spielfeld.zeigeLoesung();
    }
    
    public static void main() {
        Mastermind mm = new Mastermind();
        mm.spiele();
    }
}
