/**
 * Ein einfaches Pfeilwurf-Spiel Stufe 2
 * 
 * @author Klaus Dingemann
 * @version 01.08.2016
 */
import sas.*;
import java.awt.Color;
class Pfeilwurf2
{
   View view;
   Sprite pfeil;
   Rectangle spielfeld;
    
   Pfeilwurf2() {
     view = new View(600, 400, "Dart-Spiel");
     spielfeld = new Rectangle(0,0,600,400, Color.YELLOW);  
     pfeil = new Sprite();
     Rectangle pfeilSchaft = new Rectangle(10, 5, 50, 5, Color.BLUE);
     Polygon pfeilSpitze = new Polygon(60, 0, Color.BLUE);
     pfeilSpitze.add(20, 7.5);
     pfeilSpitze.add(0, 15);
     pfeil.add(pfeilSchaft);
     pfeil.add(pfeilSpitze);
     new Text(300, 370, "Werfen mit 'w'", Color.RED);
   }

   void fuehreAus(){
     while (!view.keyPressed('w')){
         pfeil.move(0,5);
         view.wait(10);
         if (!spielfeld.contains(pfeil)) {
             pfeil.moveTo(10,5);
          }
     }
     while (spielfeld.contains(pfeil)) {
         pfeil.move(5,0);
         view.wait(10);
     }
   }
   
   static void main(){
       Pfeilwurf2 dartspiel = new Pfeilwurf2();
       dartspiel.fuehreAus();
   }
}
