
/**
 * Ein einfaches Pfeilwurf-Spiel Stufe 4
 * 
 * @author Klaus Dingemann
 * @version 01.08.2016
 */
import sas.*;
import java.awt.Color;
class Pfeilwurf3
{
   View view;
   Sprite pfeil;
   Rectangle spielfeld;
   Rectangle zielGruen, zielOrange, zielRot;
    
   Pfeilwurf3() {
     view = new View(600, 400, "Dart-Spiel");
     spielfeld = new Rectangle(0,0,600,400, Color.YELLOW);  
     pfeil = new Sprite();
     Rectangle pfeilSchaft = new Rectangle(10, 5, 50, 5, Color.BLUE);
     Polygon pfeilSpitze = new Polygon(60, 0, Color.BLUE);
     pfeilSpitze.add(20, 7.5);
     pfeilSpitze.add(0, 15);
     pfeil.add(pfeilSchaft);
     pfeil.add(pfeilSpitze);
     zielGruen = new Rectangle(590,125,10, 150, Color.GREEN);
     zielOrange = new Rectangle(590,155,10, 90, Color.ORANGE);
     zielRot = new Rectangle(590,185,10, 30, Color.RED);
     new Text(300, 370, "Werfen mit 'w'", Color.RED);
   }

   void fuehreAus(){
     //Der Pfeil fällt von oben nach unten
       while (!view.keyPressed('w')){
         pfeil.move(0,5);
         view.wait(10);
         if (!spielfeld.contains(pfeil)) {
             pfeil.moveTo(10,5);
          }
     }
     //Der Pfeil fliegt nach rechts
     while (spielfeld.contains(pfeil) && !pfeil.intersects(zielGruen)) {
         pfeil.move(5,0);
         view.wait(10);
     }
     if (pfeil.intersects(zielGruen)){
         new Text(300, 10, "Treffer", Color.RED);
     } else {
         new Text(300, 10, "Leider daneben", Color.RED);
        }
   }
      
   static void main(){
     Pfeilwurf3 dartspiel = new Pfeilwurf3();
     dartspiel.fuehreAus();
   }
}
