
import sas.*;
import java.awt.Color;
public class Pong
{
     private View view;
     private Rectangle spielfeld;
     private Ball ball;
     private Rectangle wandOben, wandUnten;
     private Schlaeger schlaegerRechts, schlaegerLinks;
     private int punkteLinks, punkteRechts;
     private Anzeige anzeigeLinks, anzeigeRechts;
  
     

    /**
     * Konstruktor für Objekte der Klasse Pong
     */
    public Pong()
    {
        view = new View(800,600,"Pong");
        view.wait(20000);
        spielfeld = new Rectangle(0,0,800,600, Color.black);
        ball = new Ball();
        wandOben = new Rectangle(0,0,800,20, Color.white);
        wandUnten = new Rectangle(0,580,800,20,Color.white);
        schlaegerRechts = new Schlaeger(740,280, 10, 60);
        schlaegerLinks = new Schlaeger(50,280,10,60);
        punkteLinks = 0;
        punkteRechts = 0;
        anzeigeLinks = new Anzeige(200,50, 50, 10);
        anzeigeLinks.anzeigeZahl(0);
        anzeigeRechts = new Anzeige(550,50, 50, 10);
        anzeigeRechts.anzeigeZahl(0);
        int x = 395;
        int y = 20;
        while (y<590) {
            new Rectangle(x,y,10,10,Color.white);
            y = y + 20;
        }
    }
       
    
    public void spielen(){
        while (punkteLinks!=9 && punkteRechts!=9 ) {   
          ball.bewegen(5);
          ball.abprallen(wandOben, wandUnten);
          schlaegerLinks.schlagen(ball);
          schlaegerRechts.schlagen(ball);
          
          if (view.keyUpPressed()){
              schlaegerRechts.bewegeAuf(10);
          } 
          if (view.keyDownPressed()) {
             schlaegerRechts.bewegeAb(10);
          } 
          if (view.keyPressed('q')){
              schlaegerLinks.bewegeAuf(10);
          } 
           if (view.keyPressed('a')){
              schlaegerLinks.bewegeAb(10);
          }
              
          if (ball.ausserhalb(false)) {
             ball.neuerBall(true);
             punkteLinks = punkteLinks+1;
             anzeigeLinks.anzeigeZahl(punkteLinks);
          }
          
          if (ball.ausserhalb(true)) {
              ball.neuerBall(false);
              punkteRechts = punkteRechts+1;
              anzeigeRechts.anzeigeZahl(punkteRechts);
          }
          view.wait(15);
        }
      } 
      
      public static void main() {
          Pong pg = new Pong();
          pg.spielen();
        }
   }

