
/**
 * Beschreiben Sie hier die Klasse SudokuFeld.
 * 
 * @author (Ihr Name) 
 * @version (eine Versionsnummer oder ein Datum)zahl
 */
import sas.*;
import java.awt.Color;
public class SudokuFeld
{
    private Text[] hilfen;
    private Text zahl;
    private String loesung;
    private boolean fix;
    
    public SudokuFeld(Position pPos, String pLoesung, boolean pFix)
    {
        int x = pPos.gibXPosition();
        int y = pPos.gibYPosition();
        Rectangle rect = new Rectangle(x*50+3,y*50+3,44,44,Color.WHITE);
        zahl = new Text(x*50+13, y*50+4,"0");
        hilfen = new Text[9];
        for (int i = 0 ; i<9; i++) {
          int zahl = i + 1;
          hilfen[i] = new Text(x*50+8+i % 3 * 15,y*50+5+i/3*15,""+zahl);
          hilfen[i].setFontMonospaced(false,10);
          hilfen[i].setHidden(true);
        }
        loesung = pLoesung;
        fix = pFix;
        if (fix) {
           zahl.setText(loesung);
           zahl.setFontColor(Color.BLUE);
           zahl.setFontMonospaced(true, 40);
           zahl.setHidden(false);
        } else {
           zahl.setFontMonospaced(false, 40);
           zahl.setHidden(true);
        }
    }

    public void zeigeVersteckeZahl(int pZahl){
      int num = Tools.stringToInt(zahl.getText());
      if (pZahl == num) {
          zahl.setText("0");
      } else {
          zahl.setText(""+pZahl);
        }
      if (zahl.getText().equals("0")) {
         zahl.setHidden(true);
      } else {
          zahl.setHidden(false);
          zahl.setFontColor(Color.BLACK);
        }
      for (int i=0; i<9;i++) {
          hilfen[i].setHidden(true);
      }    
    }
    
    public void zeigeVersteckeHilfe(int pZahl) {
      if (zahl.getHidden())  
        if (hilfen[pZahl].getHidden()) {
            hilfen[pZahl].setHidden(false);
        } else {
            hilfen[pZahl].setHidden(true);
        }
    }
    
    boolean istFix() {
        return fix;
    }
    
    
    public void pruefe() {
        if (!(zahl.getText().equals("0"))) {
          if (!(zahl.getText().equals(loesung))) {
              zahl.setFontColor(Color.RED);
          } else if (!fix) {
              zahl.setFontColor(new Color(0,100,0));
            }
       }
    }
}
