
/**
 * 
 * Autor: Klaus Dingemann, Münster
 * @version 10.07.2015
 */
import sas.*;
import java.awt.Color;
public class Torwand
{
   View view;
   Rectangle lochOben; 
   Rectangle lochUnten; 
   Rectangle torwandOben; 
   Rectangle torwandMitte; 
   Rectangle torwandUnten;
   Circle ball;
   Polygon pfeil;
   Text ergebnis;
  
    Torwand()
    {
        view = new View(800, 600, "Torwand");
        //Torwand zeichnen
        Rectangle hintergrund = new Rectangle(0,0,800,600, Color.green);
        torwandOben = new Rectangle(720,0,20,100,Color.blue);
        torwandMitte = new Rectangle(720,190,20,281, Color.blue);
        torwandUnten = new Rectangle(720,540,20,60, Color.blue);
        Rectangle boden = new Rectangle(0, 560,800,40,Color.red);
        lochOben = new Rectangle(720,100,72,90,Color.yellow);
        lochUnten = new Rectangle(720,470,72,70, Color.yellow);
        //Ball und Pfeil zeichnen
        ball = new Circle(60,500,30,Color.magenta);
        pfeil = new Polygon(60,527,Color.pink);
        pfeil.add (40,0);
        pfeil.add(40,-6);
        pfeil.add(60,3);
        pfeil.add(40,12);
        pfeil.add(40,6);
        pfeil.add(0,6);
        ergebnis = new Text(50,10,"",Color.RED);
    }


    void richtungEinstellenUndSchiessen() {
        boolean schiessen = false;
        while (!schiessen) {
          if (view.keyUpPressed()) {
             pfeil.turn(-0.1);
          } else if (view.keyDownPressed()) {
             pfeil.turn(0.1);
          } else if (view.keyRightPressed()) {
             schiessen = true;
          }
        view.wait(10);
        }
        view.keyBufferDelete();
    }
    
    boolean daneben(){
        if (ball.intersects(torwandOben) || ball.intersects(torwandMitte)|| 
            ball.intersects(torwandUnten)) 
       {
          return true;
        } else
          {
                return false;
          }
    }
    
    
    boolean treffer(){
        if (lochOben.getShapeX()< ball.getShapeX() && lochOben.intersects(ball)  || lochUnten.contains(ball)) 
        { 
          return true;
        } else
          {
             return false;
          }
    }
    
    void rueckmeldung(boolean getroffen){
        if (getroffen) {
            ergebnis.setText("Treffer (n: neues Spiel, e: Ende)");
        } else {
            ergebnis.setText("Leider daneben (n: neues Spiel, e: Ende)");
        }
        ergebnis.setHidden(false);
    }
    
    void fuehreAus(){
       char  z = ' ';
        while (z!='e') { 
         richtungEinstellenUndSchiessen();
         if (pfeil.getDirection()<=90 && pfeil.getDirection()>=48) {
           ball.turnTo(pfeil.getDirection());
           while (!treffer() && !daneben()) {
             ball.move(4);
             view.wait(10);
           }
           rueckmeldung(treffer());
           z = view.keyGetChar();
           ergebnis.setHidden(true);
           ball.moveTo(60,500);
         } 

      }
    }  
      
   static void main() {
          Torwand tw = new Torwand();
          tw.fuehreAus();
    }
    
    
}