
/**
 * Beschreiben Sie hier die Klasse SpielerSchaf.
 * 
 * @author (Ihr Name) 
 * @version (eine Versionsnummer oder ein Datum)
 */
import sas.Tools;
public class SpielerWolf
{
    Spielfeld spielfeld;
    Spielstein wolf;
    Spielstein[] schafe;
    int zugNummer;
    
    /**
     * Konstruktor für Objekte der Klasse SpielerSchaf
     */
    public SpielerWolf(Spielfeld pSpielfeld)
    {
        spielfeld = pSpielfeld;
        wolf = pSpielfeld.gibWolf();
        schafe = pSpielfeld.gibSchafe();
        zugNummer = 0;
    }

    /**
     * Ein Beispiel einer Methode - ersetzen Sie diesen Kommentar mit Ihrem eigenen
     * 
     * @param  y    ein Beispielparameter für eine Methode
     * @return        die Summe aus x und y
     */
    public void wolfzug()
    {
        boolean gezogen = false;
        Position altePosition = new Position(0,0);
        Position neuePosition = new Position(0,0);
        int i = 0; 
        while (!gezogen) {
            while (!gezogen) {   
               altePosition = wolf.gibPosition();
               neuePosition = wolf.bewegeMitMaus();
               if (!altePosition.istGleich(neuePosition)) {
                 gezogen = true;
               } else {
                   spielfeld.zieheNach(wolf,altePosition);
                }
            }
            if (!spielfeld.zugZulaessig(wolf,neuePosition,false)) {
                gezogen = false;
                spielfeld.zieheNach(wolf,altePosition);
            }
   
        }
        spielfeld.zieheNach(wolf,neuePosition);
    }
    
    public String sucheMaxWeg(Position pPos, String pWeg, String pMaxWeg) {
        Position neuePosition = new Position(pPos.gibXPosition()+1,pPos.gibYPosition()-1);
        if (!spielfeld.feldBelegt(neuePosition) && spielfeld.imFeld(neuePosition)) {
            pWeg=pWeg+"r";
            pMaxWeg = sucheMaxWeg(neuePosition, pWeg, pMaxWeg);
            pWeg = pWeg.substring(0,pWeg.length()-1);
        } else {
            if (pWeg.length()>pMaxWeg.length()) {
                pMaxWeg = pWeg;
            } 
         }
        neuePosition = new Position(pPos.gibXPosition()-1,pPos.gibYPosition()-1);
        if (!spielfeld.feldBelegt(neuePosition) && spielfeld.imFeld(neuePosition)) {
            pWeg=pWeg+"l";
            pMaxWeg = sucheMaxWeg(neuePosition, pWeg, pMaxWeg);
        } else {
            if (pWeg.length()>pMaxWeg.length()) {
                pMaxWeg = pWeg;
            }
         } 
         return pMaxWeg;
    }
    
    public Position berechneWolfZug() {
       Position neuePosition;
       int wolfX = wolf.gibPosition().gibXPosition();
       int wolfY = wolf.gibPosition().gibYPosition();
       String maxWeg = "";
       maxWeg = sucheMaxWeg(wolf.gibPosition(),"", maxWeg);
       if (maxWeg.length()>0){
               if (maxWeg.substring(0,1).equals("l")) {
                  neuePosition = new Position(wolfX-1,wolfY-1); 
               } else {
                   neuePosition = new Position(wolfX+1,wolfY-1);
                }
       } else { //Wolf muss zurück
            if (wolfX==7) {
               neuePosition = new Position(wolfX-1,wolfY+1);
            } else if (wolfX==0) {
               neuePosition = new Position(wolfX+1,wolfY+1); 
            } else {
              //Richtung zufällig bestimmen  
              int richtung = Tools.randomNumber(1,2);
              if (richtung == 1) {
                 neuePosition = new Position(wolfX+1,wolfY+1);
              } else {
                 neuePosition = new Position(wolfX-1,wolfY+1);
              }
            }
        }
       return neuePosition;
    }
    
    public void wolfZug() {
       Position neuePosition = this.berechneWolfZug();
       spielfeld.zieheNach(wolf,neuePosition);    
    }
}
