
/**
 * Beschreiben Sie hier die Klasse spielstein.
 * 
 * @author (Ihr Name) 
 * @version (eine Versionsnummer oder ein Datum)
 */
import sas.*;
import java.awt.Color;
public class Spielstein
{
    private Circle spielstein;
    private Position position;
    private Spielfeld spfd;
    /**
     * Konstruktor für Objekte der Klasse spielstein
     */
    public Spielstein(Spielfeld pSpfd, int pXPos, int pYPos, Color farbe)
    {
        spfd = pSpfd;
        spielstein = new Circle(spfd.kachelXInPixelX(pXPos)+3, spfd.kachelYInPixelY(pYPos)+3, 
                 (spfd.gibKachelBreite()-6)/2, farbe);
        position = new Position(pXPos, pYPos);
    }
   
    public void bewegeAuf(Position pPosition){
      spielstein.moveTo(spfd.kachelXInPixelX(pPosition.gibXPosition())+3, spfd.kachelYInPixelY(pPosition.gibYPosition())+3);
      position.setzePosition(pPosition.gibXPosition(), pPosition.gibYPosition());
    }
    
    public Position bewegeMitMaus(){
      double altX = spielstein.getMouseX();
      double altY = spielstein.getMouseY();
      while (spielstein.mouseDragged()){ 
          double neuX = spielstein.getMouseX();
          double neuY = spielstein.getMouseY();
          spielstein.move(neuX - altX, neuY - altY);
          altX = neuX;
          altY = neuY;
      }
      double cx = spielstein.getCenterX();
      double cy = spielstein.getCenterY();
      return new Position(spfd.pixelXInKachelX(cx), spfd.pixelYInKachelY(cy));
    }
   
    public Position gibPosition() {
        return position;
    }
    
}

